Is EntLibContrib.Data.OdpNet.dll (5.0.505.0) compatible with Oracle.DataAccess.dll (4.112.2.0)

Topics: Development Team Discussion, User Discussion
Aug 26, 2012 at 11:17 AM
Edited Aug 26, 2012 at 11:17 AM
Hello,
EntLibContrib.Data.OdpNet.dll (5.0.505.0) is built with Oracle.DataAccess.dll (2.111.7.10), therefore, I had to put the following assembly binding redirect in the application config.It works like charm for my present use case. However for future needs, I would like to know whether the current version of EntLibContrib.Data.OdpNet.dll (5.0.505.0) is compatible with the current version of Oracle.DataAccess.dll (4.112.2.0)
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Oracle.DataAccess" publicKeyToken="89B483F429C47342"/>
        <bindingRedirect oldVersion="2.111.7.10" newVersion="4.112.2.0"/>
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
Thanks!
Nelson